@extends('admin.layouts.app')

@section('content')
    <div class="row">
        <div class="col-sm-12">
            <div class="ibox float-e-margins">
                <div class="ibox-title">
                    <h5>挖掘线索</h5>

                    <div class="ibox-tools">
                        <a class="collapse-link"> <i class="fa fa-chevron-up"></i>
                        </a>
                    </div>
                </div>
                <div class="ibox-content">
                    <div class="form-group">
                        <div class="row">
                            <div class="col-sm-4">

                            </div>

                            {{--@if(role('Company/Info/create'))--}}
                            {{--<div class="col-sm-8 pull-right">--}}
                            {{--<a href="{{ U('Company/Info/create')}}" class="btn btn-primary pull-right">添加</a>--}}
                            {{--</div>--}}
                            {{--@endif--}}
                        </div>
                    </div>

                    <table class="table table-striped table-bordered table-hover dataTables-example dataTable">
                        <tr>
                            <th> 过滤条件</th>
                            <form method="GET" action="" accept-charset="UTF-8" id="filter_company">
                                <th>
                                    <select name="district" class="form-control filter_company">
                                        <option value="">所在地区</option>
                                        <option value="成都">成都</option>
                                        <option value="上海">上海</option>
                                    </select>
                                </th>
                                <th>
                                    <select name="industry" class="form-control filter_company">
                                        <option value="">所属行业</option>
                                        <option value="软件开发">软件开发</option>
                                        <option value="信息传输">信息传输</option>
                                        <option value="互联网">互联网</option>
                                        <option value="批发和零售业">批发和零售业</option>
                                        <option value="软件和信息技术服务业">软件和信息技术服务业</option>
                                    </select>
                                </th>
                                <th>
                                    <select name="regCapital" class="form-control filter_company">
                                        <option value="">注册资本</option>
                                        <option value="-50">小于50万</option>
                                        <option value="50-100">50～100万</option>
                                        <option value="100-500">100～500万</option>
                                        <option value="500-1000">500～1000万</option>
                                        <option value="1000-">1000万以上</option>
                                    </select>
                                </th>
                                <th>
                                    <select name="startDate" class="form-control filter_company">
                                        <option value="">成立年限</option>
                                        <option value="2014">2014</option>
                                        <option value="2017">2017</option>
                                    </select>
                                </th>
                                <th>
                                    <select name="entType" class="form-control filter_company">
                                        <option value="">企业类型</option>
                                        <option value="有限责任公司">有限责任公司(中外合资)</option>
                                        <option value="有限责任公司(中外合资)">有限责任公司(中外合资)</option>
                                        <option value="有限责任公司(台港澳法人独资)">有限责任公司(台港澳法人独资)</option>
                                    </select>
                                </th>
                                <th>
                                    <select name="openStatus" class="form-control filter_company">
                                        <option value="">企业状态</option>
                                        <option value="开业">开业</option>
                                        <option value="">企业状态</option>
                                    </select>
                                </th>

                            </form>
                            <th>
                                <form method="GET" action="" accept-charset="UTF-8">
                                    <div class="input-group">
                                        <input type="text" class="form-control" value="{{Request::get('keyword')}}"
                                               placeholder="请输入企业名称"
                                               name="keyword">
                                        <span class="input-group-append">
                                                <button type="submit" class="btn btn-sm btn-default"
                                                        style="height: 100%">搜索</button>
                                            </span>
                                    </div>
                                </form>
                            </th>
                        </tr>
                    </table>

                    <div id="company-list">
                        @include('admin.company.info.data')
                    </div>

                </div>
            </div>
        </div>
    </div>
@endsection

@section('js')
    <script type="text/javascript">
        $('.filter_company').change(function () {
            data = $('#filter_company').serialize()
            $.ajax({
                type: 'get',
                data: data,
            }).done(function (data) {
                $('#company-list').html(data.html)
            })
        })

        // $('.pagination a').click(function (event) {
        //     event.preventDefault();
        //
        //     if ( $(this).attr('href') != '#' ) {
        //         data = $('#filter_company').serialize()
        //         $.ajax({
        //             url: window.location.href + $(this).attr('href'),
        //             type: 'get',
        //             data: data,
        //         }).done(function (data) {
        //             $('#company-list').html(data.html)
        //         })
        //     }
        // });
    </script>
@endsection